DCMTK - Bug #832

another echo SCU false positive
2018-05-03 17:05 - Pedro Fernando Arizpe Gémez

Status: Closed Start date: 2018-05-03
Priority: High Due date: 2018-05-04
Assignee: Pedro Fernando Arizpe Gémez % Done: 80%
Category: Application Estimated time: 2:00 hours
Target version: 3.6.4

Module: dcmnet Compiler:

Operating System:

Description
echoSCU also returns a false positive (EXITCODE_NO_ERROR) after calling cecho.

The error happens if the condition returned by cecho is: DUL_PEERREQUESTEDRELEASE
The program logs the error correctly(Protocol Error: Peer requested release (Aborting)") and the association is aborted.

However, the program only returns an accurate exit value if the association abort also fails.

Related issues:

Related to DCMTK - Bug #390: Memory leaks in storescu, findscu und Co. New
Related to DCMTK - Bug #831: echo SCU false positive Closed 2018-05-03 2018-05-03
History

#1 - 2018-05-03 17:06 - Pedro Fernando Arizpe Gémez
- Related to Bug #390: Memory leaks in storescu, findscu und Co. added

#2 - 2018-05-03 17:06 - Pedro Fernando Arizpe Gémez
- Related to Bug #831: echo SCU false positive added

#3 - 2018-05-03 17:08 - Pedro Fernando Arizpe Gomez
- Due date set to 2018-05-04

#4 - 2018-05-03 18:18 - Pedro Fernando Arizpe Gomez

- Status changed from New to Assigned

#5 - 2018-05-04 12:30 - Pedro Fernando Arizpe Gomez
- Status changed from Assigned to Closed

- Estimated time changed from 1:00 h to 2:00 h

#6 - 2018-05-04 13:00 - J6rg Riesmeier
- Status changed from Closed to Reopened
- Target version set to 3.6.4

- % Done changed from 0 to 80

Exit codes should also be documented in the corresponding man page (see Feature #219).

#7 - 2018-05-04 13:57 - Pedro Fernando Arizpe Gomez

- Status changed from Reopened to Closed

Documented exit codes in echoscu manpage.
